<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of sisotool module
 * Copyright (C) 2016 - INRIA - Serge Steer
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * For more information, see the COPYING file which you should have received
 * along with this program.
-->
<refentry xml:id="sisotoolEditorsGui" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:scilab="http://www.scilab.org"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <refnamediv>
    <refname>sisotoolEditorsGui</refname>

    <refpurpose>builds the GUI which allows the selection of the editors sub
    windows.</refpurpose>
  </refnamediv>

  <refsection>
    <title>Synopsis</title>

    <synopsis>sisotoolEditorsGui(mainWin) </synopsis>
  </refsection>

  <refsection>
    <title>Arguments</title>

    <variablelist>
      <varlistentry>
        <term>mainWin</term>

        <listitem>
          <para>The figure id of the Editors window.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>Builds the GUI which allows the selection of the editors sub windows
    to be displayed.</para>
  </refsection>

  <refsection>
    <title>Called functions</title>

    <informaltable border="1">
          <tr>
            <td>
              <link linkend="sisotoolGetSession">
                <function>sisotoolGetSession</function>
              </link>
            </td>

            <td>retrieves the <link linkend="sisotoolSessionData">session data
            structure</link> from the editors window user_data field.</td>
          </tr>

          <tr>
            <td>
              <link linkend="sisotoolPath">
                <function>sisotoolPath</function>
              </link>
            </td>

            <td>returns the installation path of the sisotool
            module.</td>
          </tr>

          <tr>
            <td>
              <link linkend="sisotoolGetArchiSpecs">
                <function>sisotoolGetArchiSpecs</function>
              </link>
            </td>

            <td>returns the characteristics of the selected
            architecture.</td>
          </tr>

          <tr>
            <td>
              <link linkend="sisotoolGetEditorsSpecs">
                <function>sisotoolGetEditorsSpecs</function>
              </link>
            </td>

            <td>returns the names and types of valid graphical compensator
            editors.</td>
          </tr>

          <tr>
            <td>
              <link linkend="uipanel">
                <function>uipanel</function>
              </link>
            </td>

            <td>creates a GUI frame with a title.</td>
          </tr>

          <tr>
            <td>
              <link linkend="sisotoolSetSession">
                <function>sisotoolSetSession</function>
              </link>
            </td>

            <td>stores the <link linkend="sisotoolSessionData">session data
            structure</link> in the editors window user_data field.</td>
          </tr>

          <tr>
            <td>
              <link linkend="sisotoolGuiClose">
                <function>sisotoolGuiClose</function>
              </link>
            </td>

            <td>implements the closure of a GUI.</td>
          </tr>
    </informaltable>
  </refsection>
</refentry>
